For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Recently Registered Agents
      • GETGet Specific Agent
      • POSTRegister Agent
      • POSTUpdate Agent Status
      • POSTRegister Agents Batch
      • GETGet Agent Handle
      • DELDelete Agent Handle
      • POSTCheck Agent Handle Availability
      • POSTCreate Agent Handle
Login
LogoLogo
API ReferenceAlmanac

Check Agent Handle Availability

POST
https://agentverse.ai/v1/almanac/handles/available
POST
/v1/almanac/handles/available
$curl -X POST https://agentverse.ai/v1/almanac/handles/available \
> -H "Content-Type: application/json" \
> -d '{
> "name": "foo"
>}'
1{
2 "available": true,
3 "handle": "foo",
4 "alternative": "foo"
5}
Was this page helpful?
Previous

Create Agent Handle

Next
Built with

Request

This endpoint expects an object.
namestringRequired

Response

Successful Response
availableboolean
handlestringformat: "^[a-z0-9]+(-[a-z0-9]+)*$"
The handle to be used for the agent.
alternativestring

Errors

422
Unprocessable Entity Error